Mise à jour de la version osCSS 1.1-RC1

Archive

Messagepar objectifweb » Mer 08 Nov 2006, 23:34

Bonjour,

En entrant dans la partie admin, je profite du lien qui me permet de checker les mises à jour. Le script me signale d'ailleurs que je dois me rendre sur le site car il y a des mises à jour, pourtant je me retrouve avec exactement la même version que j'ai installé !!??
Que dois-je faire pour faire cette mise à jour ?

Autre chose, j'ai introduis dans mes meta un mot avec une apostrophe, ce qui conduit à une erreur !?
Je m'étonne que personne n'a signalé ce problème pourtant plus que classique, mais je vais encore fouiller le forum si je trouve quelque chose, je profite du post pour poser mes deux questions

Patrick
objectifweb
Membre inactif
 
Messages: 5
Inscription: Lun 06 Nov 2006, 20:00

Messagepar sidarus » Jeu 09 Nov 2006, 21:30

objectifweb a écrit:En entrant dans la partie admin, je profite du lien qui me permet de checker les mises à jour. Le script me signale d'ailleurs que je dois me rendre sur le site car il y a des mises à jour, pourtant je me retrouve avec exactement la même version que j'ai installé !!??
Que dois-je faire pour faire cette mise à jour ?

Pour l'instant, la mise a jour est a faire avec un client CVS. Ceci sera automatisé par la suite.

objectifweb a écrit:Autre chose, j'ai introduis dans mes meta un mot avec une apostrophe, ce qui conduit à une erreur !?

define()<=syntax :)

Fouille un peu plus le wiki comme ça tu t'étonnera moins / plus selon :lol:

Je le dirais jamais assez, mais le wiki est éditable (suffit de s'inscrire puis de se connecter).
Cette page peu etre ruinée à volonté :: Playground. L'avantage est qu'il gère la coloration syntaxique (cf GeSHi). L'avantage étant que si ta syntaxe est incorrecte GeSHi ne colorera plus a partir de l'erreur.

Sintaxe GeSHi :
Code: Tout sélectionner
<code php>...</code>

Bon code
sidarus
Membre très actif
 
Messages: 396
Inscription: Mar 03 Mai 2005, 23:34
Localisation: Geneva (CH)

Messagepar objectifweb » Jeu 09 Nov 2006, 21:42

sidarus a écrit:Pour l'instant, la mise a jour est a faire avec un client CVS. Ceci sera automatisé par la suite.

Ce sera pas du luxe, nous ne sommes pas tous des pros linux avec un serveur dédié (même si j'en ai un) !! c'est pourtant plus simple de fournir les php à écraser sur le serveur en ftp que de jouer avec ces trucs bizarres dont j'avais jamais entendu parler !
:rolleyes:
define()<=syntax :)
Fouille un peu plus le wiki comme ça tu t'étonnera moins / plus selon :lol:
Je le dirais jamais assez, mais le wiki est éditable (suffit de s'inscrire puis de se connecter).

Heu oui et non, j'ai probablement pas été clair dans ma question. Dans le cas des define dans les codes php, là je sais très bien qu'il faut mettre un ' mais je ne parle pas de cela. Je parle dans la configuration de la boutique, il y a un formulaire qui permet d'éditer les métatags du site, c'est là qu'on une erreur lors de l'encodage d'un mot clef avec une apostrophe, pas de define dans ce cas !

Amicalement
Patrick
objectifweb
Membre inactif
 
Messages: 5
Inscription: Lun 06 Nov 2006, 20:00

Messagepar sidarus » Ven 10 Nov 2006, 15:50

objectifweb a écrit:
sidarus a écrit:Pour l'instant, la mise a jour est a faire avec un client CVS. Ceci sera automatisé par la suite.

Ce sera pas du luxe, nous ne sommes pas tous des pros linux avec un serveur dédié (même si j'en ai un) !! c'est pourtant plus simple de fournir les php à écraser sur le serveur en ftp que de jouer avec ces trucs bizarres dont j'avais jamais entendu parler !
:rolleyes:

:o !!! Justement la demo a été faites sous Windows. En plus chez moi les MAJ sont automatisées.
On en convient tous que CheckUpdate est perfectible (cf http://dev.oscss.org/bts/?do=details&id=29).
Bon, promis je mets en ligne l'archive à télécharger de la version courante. Je post dès que c'est fait (à suivre).
objectifweb a écrit:
"sidarus" a écrit:define()<=syntax :)
Fouille un peu plus le wiki comme ça tu t'étonnera moins / plus selon :lol:
Je le dirais jamais assez, mais le wiki est éditable (suffit de s'inscrire puis de se connecter).

Heu oui et non, j'ai probablement pas été clair dans ma question. Dans le cas des define dans les codes php, là je sais très bien qu'il faut mettre un ' mais je ne parle pas de cela. Je parle dans la configuration de la boutique, il y a un formulaire qui permet d'éditer les métatags du site, c'est là qu'on une erreur lors de l'encodage d'un mot clef avec une apostrophe, pas de define dans ce cas !

On parle bien de la même chose : header_tag.php ( see : source code) ?

@+
sidarus
Membre très actif
 
Messages: 396
Inscription: Mar 03 Mai 2005, 23:34
Localisation: Geneva (CH)

Messagepar sidarus » Ven 17 Nov 2006, 15:15

sidarus a écrit:Bon, promis je mets en ligne l'archive à télécharger de la version courante. Je post dès que c'est fait (à suivre).

[résolu] http://oscss.org ou directement http://www.oscss.org/IMG/zip/oscss_1.1_2006-11-13.zip

Bon code
sidarus
Membre très actif
 
Messages: 396
Inscription: Mar 03 Mai 2005, 23:34
Localisation: Geneva (CH)

Messagepar objectifweb » Sam 16 Déc 2006, 20:00

Bonjour,

Après un crash disque du serveur et du coup la mise à niveau du serveur (fedora 4), je me retrouve avec le php5 sur le serveur

Je tente une installation et bien sûr, première erreur, je dois mettre le register_global à on alors que tout le monde dit que pour la sécurité il faut le laisser off

Qu'à cela ne tienne, je met dans le .htaccess un php_flag register_globals on et je relance l'install, une superbe page blanche, c'est probblement une erreur php qui ne s'affiche pas mais donc j'en déduis que oscss est incapable de tourner sur un php5 ?

je viens d'aller voir dans les logs d'erreur et voici les messages d'erreur

[client 81.246.250.136] PHP Warning: main() [<a href='function.main'>function.main</a>]: open_basedir restriction in effect. File(/languages/french.php) is not within the allowed path(s): (/var/www/vhosts/.../subdomains/boutique/httpdocs:/tmp) in /var/www/vhosts/.../subdomains/boutique/httpdocs/install/includes/application.php on line 37
[client 81.246.250.136] PHP Warning: main(languages/french.php) [<a href='function.main'>function.main</a>]: failed to open stream: Operation not permitted in /var/www/vhosts/.../subdomains/boutique/httpdocs/install/includes/application.php on line 37
[client 81.246.250.136] PHP Fatal error: main() [<a href='function.require'>function.require</a>]: Failed opening required 'languages/french.php' (include_path='.:') in /var/www/vhosts/.../subdomains/boutique/httpdocs/install/includes/application.php on line 37

j'ai enlevé le safe mode, ca change rien
j'ai ajouté un répertoire tmp avec un chmod 777 pas plus de résultat

problème de path ? comment le régler ?

Amicalement
Patrick
Dernière édition par objectifweb le Sam 16 Déc 2006, 20:17, édité 1 fois.
objectifweb
Membre inactif
 
Messages: 5
Inscription: Lun 06 Nov 2006, 20:00


Retourner vers osCSS 1.1

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité

cron